# formatNumber

## Description

Converts a number into a specific desired format, such as adding commas for thousands separators or specifying decimal places.

## Input / Parameter

| Name        | Description                   | Input Type  | Default | Options | Required |
| ----------- | ----------------------------- | ----------- | ------- | ------- | -------- |
| value       | The number to be formatted.   | Number      | 0       | -       | Yes      |
| decimals    | The number of decimal places. | Number      | 0       | -       | No       |
| decimalSep  | Decimals separator.           | String/Text | ,       | -       | No       |
| thousandSep | Thousands separator.          | String/Text | -       | -       | No       |

## Output

| Description                   | Output Type |
| ----------------------------- | ----------- |
| Returns the formatted number. | Number      |

## Callback

N/A

## Video

Coming soon.

## Example

| Function inputs                  | Expected result |
| -------------------------------- | --------------: |
| ![](/files/nPrdudqJUEb77vShYFSA) |      `1 000.23` |
| ![](/files/0w7EaHluZTSAoRiswzx6) |     `-95,123.0` |

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/object/formatnumber.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
